Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 227126

Summary: Review Request: xpp2-2.1.10-6jpp - XML Pull Parser
Product: [Fedora] Fedora Reporter: Rafael H. Schloming <rafaels>
Component: Package ReviewAssignee: Nuno Santos <nsantos>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: aortega, tross
Target Milestone: ---Flags: jjohnstn: fedora-review+
wtogami: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-12 15:23:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Rafael H. Schloming 2007-02-02 18:02:01 UTC
Spec URL: http://people.redhat.com/rafaels/specs/xpp2-2.1.10-6jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/xpp2-2.1.10-6jpp.src.rpm
Description: XML Pull Parser 2 (XPP2) is a simple and fast incremental XML parser.
NOTE: XPP2 is no longer developed and is on maintenance mode.
All active developement concentrates on its successor XPP3/MXP1

Javadoc for xpp2.

Manual for xpp2.

Samples for xpp2.

Comment 1 Jeff Johnston 2007-02-12 19:00:23 UTC
MUST:

X specfile should be %{name}.spec
X release should be of form: Xjpp.Y%{?dist}
X change license to ASL
X verify source and patches (md5sum matches upstream, know what the patches do)
 - md5sum doesn't match for src rpm and upstream tar source commented in spec
X correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
X license text included in package and marked with %doc
 - %doc not used
X rpmlint on <this package>.srpm gives no output

W: xpp2 spelling-error-in-description developement development
W: xpp2 non-standard-group Text Processing/Markup/XML
W: xpp2 invalid-license Apache Software License -style
E: xpp2 unknown-key GPG#c431416d

X Vendor tag should not be used
X description has typo (developement) and doesn't end with period.
X make sure lines are <= 80 characters
X manual subpackage should be renamed doc
X license is commented as being part of manual but is actually in main package
  - should just be moved outside comment
X run rpmlint on the binary RPMs
[jjohnstn@vermillion noarch]$ rpmlint xpp2-2.1.10-6jpp.noarch.rpm 
W: xpp2 spelling-error-in-description developement development
W: xpp2 non-standard-group Text Processing/Markup/XML
W: xpp2 invalid-license Apache Software License -style
[jjohnstn@vermillion noarch]$ rpmlint xpp2-demo-2.1.10-6jpp.noarch.rpm 
W: xpp2-demo non-standard-group Development/Documentation
W: xpp2-demo invalid-license Apache Software License -style
W: xpp2-demo no-documentation
W: xpp2-demo dangerous-command-in-%post rm
W: xpp2-demo dangerous-command-in-%postun rm
[jjohnstn@vermillion noarch]$ rpmlint xpp2-javadoc-2.1.10-6jpp.noarch.rpm 
W: xpp2-javadoc non-standard-group Development/Documentation
W: xpp2-javadoc invalid-license Apache Software License -style
W: xpp2-javadoc dangerous-command-in-%post rm
W: xpp2-javadoc dangerous-command-in-%postun rm
[jjohnstn@vermillion noarch]$ rpmlint xpp2-manual-2.1.10-6jpp.noarch.rpm 
W: xpp2-manual non-standard-group Development/Documentation
W: xpp2-manual invalid-license Apache Software License -style
W: xpp2-manual dangerous-command-in-%post rm
W: xpp2-manual dangerous-command-in-%postun rm

SHOULD:
X package should include license text in the package and mark it with %doc
* package should build in mock

Comment 2 Permaine Cheung 2007-02-13 16:23:45 UTC
(In reply to comment #1)
> MUST:
> 
> X specfile should be %{name}.spec
it is xpp2.spec currently
> X release should be of form: Xjpp.Y%{?dist}
release is now 6jpp.1%{?dist}
> X change license to ASL
rpmlint doesn't like ASL, it's now Apache Software License
> X verify source and patches (md5sum matches upstream, know what the patches do)
>  - md5sum doesn't match for src rpm and upstream tar source commented in spec
I checked the md5sum, and they are the same, could you please check again?
Here's what I've done:
[pcheung@to-jpackage1 jpp]$ wget
http://www.extreme.indiana.edu/xgws/xsoap/xpp/download/PullParser2/PullParser2.1.10.tgz
--10:29:51-- 
http://www.extreme.indiana.edu/xgws/xsoap/xpp/download/PullParser2/PullParser2.1.10.tgz
Resolving www.extreme.indiana.edu... 129.79.246.105
Connecting to www.extreme.indiana.edu|129.79.246.105|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2310288 (2.2M) [application/x-tar]
Saving to: `PullParser2.1.10.tgz.1'
 
100%[=======================================>] 2,310,288    168K/s   in 14s
 
10:30:06 (156 KB/s) - `PullParser2.1.10.tgz.1' saved [2310288/2310288]
 
[pcheung@to-jpackage1 jpp]$ md5sum PullParser2.1.10.tgz
865ca4e2496c215d301b57450137626f  PullParser2.1.10.tgz
[pcheung@to-jpackage1 jpp]$ md5sum ~/topdir/SOURCES/PullParser2.1.10.tgz
865ca4e2496c215d301b57450137626f  /home/pcheung/topdir/SOURCES/PullParser2.1.10.tgz


> X correct buildroot
>  - should be:
>    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Fixed
> X license text included in package and marked with %doc
>  - %doc not used
Fixed
> X rpmlint on <this package>.srpm gives no output
> 
> W: xpp2 spelling-error-in-description developement development
Fixed
> W: xpp2 non-standard-group Text Processing/Markup/XML
That's ok
> W: xpp2 invalid-license Apache Software License -style
Fixed -ASL
> E: xpp2 unknown-key GPG#c431416d
> 
I'm not seeing this error on the rpms
> X Vendor tag should not be used
got rid of Vendor and Distrition.
> X description has typo (developement) and doesn't end with period.
Fixed.
> X make sure lines are <= 80 characters
> X manual subpackage should be renamed doc
done
> X license is commented as being part of manual but is actually in main package
>   - should just be moved outside comment
Moved license and readme back into main package and mark all docs %doc
> X run rpmlint on the binary RPMs
> [jjohnstn@vermillion noarch]$ rpmlint xpp2-2.1.10-6jpp.noarch.rpm 
> W: xpp2 spelling-error-in-description developement development
Fixed
> W: xpp2 non-standard-group Text Processing/Markup/XML
That's ok
> W: xpp2 invalid-license Apache Software License -style
Fixed
> [jjohnstn@vermillion noarch]$ rpmlint xpp2-demo-2.1.10-6jpp.noarch.rpm 
> W: xpp2-demo non-standard-group Development/Documentation
That's OK
> W: xpp2-demo invalid-license Apache Software License -style
Fixed
> W: xpp2-demo no-documentation
There's no doc for that subpackage
> W: xpp2-demo dangerous-command-in-%post rm
> W: xpp2-demo dangerous-command-in-%postun rm
Fixed
> [jjohnstn@vermillion noarch]$ rpmlint xpp2-javadoc-2.1.10-6jpp.noarch.rpm 
> W: xpp2-javadoc non-standard-group Development/Documentation
> W: xpp2-javadoc invalid-license Apache Software License -style
> W: xpp2-javadoc dangerous-command-in-%post rm
> W: xpp2-javadoc dangerous-command-in-%postun rm
Fixed
> [jjohnstn@vermillion noarch]$ rpmlint xpp2-manual-2.1.10-6jpp.noarch.rpm 
> W: xpp2-manual non-standard-group Development/Documentation
> W: xpp2-manual invalid-license Apache Software License -style
> W: xpp2-manual dangerous-command-in-%post rm
> W: xpp2-manual dangerous-command-in-%postun rm
> 
Fixed
> SHOULD:
> X package should include license text in the package and mark it with %doc
> * package should build in mock

built fine in mock, the only rpmlint warnings from the src and binary rpms left are:
W: xpp2 non-standard-group Text Processing/Markup/XML
W: xpp2 non-standard-group Text Processing/Markup/XML
W: xpp2-javadoc non-standard-group Development/Documentation
W: xpp2-doc non-standard-group Development/Documentation
W: xpp2-demo non-standard-group Development/Documentation
W: xpp2-demo no-documentation

which should be OK.

Comment 4 Jeff Johnston 2007-02-13 19:10:13 UTC
Approved.

Comment 5 Nuno Santos 2007-02-21 21:49:13 UTC
New Package CVS Request
=======================
Package Name: xpp2
Short Description: XML Pull Parser
Owners: nsantos@redhat.com
Branches:
InitialCC: rafaels@redhat.com,dbhole@redhat.com

Comment 6 Bernard Johnson 2007-04-11 22:49:22 UTC
Pardon the bugzilla spam.  This package appears to have been approved, imported,
and built.

If that is the case, please close this bug RESOLVE -> NEXTRELEASE as documented
in the package review process:
http://fedoraproject.org/wiki/PackageReviewProcess?#head-df921556b35438a4c78b4b6a790151ea568e8f9e